"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const _ = require("lodash");
const base_payload_1 = require("./base-payload");
const utils_1 = require("./utils");
class AltenativesPayload extends base_payload_1.BasePayload {
    constructor() {
        super(...arguments);
        this.alternatives = [];
    }
    getKind() {
        return 'alternatives';
    }
    buildFromSchema(rawSchema) {
        // eslint-disable-next-line @typescript-eslint/no-explicit-any, @typescript-eslint/no-unsafe-assignment
        this.alternatives = rawSchema['$_terms'].matches.map((schema) => utils_1.generatePayload(schema.schema));
        return this;
    }
    generateMock() {
        return this.alternatives[0].generateMock();
    }
    generateAttacks() {
        const attacks = this.alternatives.map(alternativePayload => alternativePayload.generateAttacks());
        return _.flatten(attacks);
    }
}
exports.AltenativesPayload = AltenativesPayload;
