"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const _ = require("lodash");
const base_payload_1 = require("./base-payload");
const utils_1 = require("./utils");
class ArrayPayload extends base_payload_1.BasePayload {
    constructor() {
        super(...arguments);
        this.allowedPayloads = [];
    }
    getKind() {
        return 'array';
    }
    buildFromSchema(rawSchema) {
        var _a, _b;
        if (!((_a = rawSchema['$_terms']) === null || _a === void 0 ? void 0 : _a.items)) {
            return this;
        }
        this.allowedPayloads = (_b = rawSchema['$_terms']) === null || _b === void 0 ? void 0 : _b.items.map(rawSchema => utils_1.generatePayload(rawSchema));
        return this;
    }
    generateMock() {
        return this.allowedPayloads.map(allowedPayload => allowedPayload.generateMock());
    }
    generateAttacks() {
        const allAttacks = _.flatten(this.allowedPayloads.map(allowedPayload => allowedPayload.generateAttacks()));
        return allAttacks.map(attack => {
            return Object.assign(Object.assign({}, attack), { payload: [attack.payload] });
        });
    }
}
exports.ArrayPayload = ArrayPayload;
