"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const attack_1 = require("../attack");
const severity_level_1 = require("../severity-level");
const base_payload_1 = require("./base-payload");
class UnknownPayload extends base_payload_1.BasePayload {
    getKind() {
        return 'unknown';
    }
    buildFromSchema() {
        return this;
    }
    generateMock() {
        return 'Unknown';
    }
    generateAttacks() {
        return [
            ...attack_1.STRING_ATTACKS.COMMON,
            {
                severity: severity_level_1.SeverityLevel.MEDIUM,
                messages: ['May cause NoSQL injection'],
                payload: {
                    query: {
                        '$in': ['Admin', '4dm1n', 'admin', 'root', 'administrator']
                    }
                }
            }
        ];
    }
}
exports.UnknownPayload = UnknownPayload;
